Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: beid - Quantal  (gelezen 411 keer)

Offline koenh

  • Lid
  • Steunpunt: Nee
beid - Quantal
« Gepost op: 2012/11/11, 18:27:17 »
Hey,

Ik zou graag beid installeren op quantal, maar ik merkte dat beid niet langer in de repo zit.
Na enig zoeken, ben ik deze bug tegen gekomen:
https://bugs.launchpad.net/ubuntu/+source/beid/+bug/1009449

Weet iemand de status?
Is het mogelijk beid te installeren op quantal?

ik gebruik Kubuntu 64bit.

alvast bedankt!

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: beid - Quantal
« Reactie #1 Gepost op: 2012/11/11, 22:04:54 »
In der Beschränkung zeigt sich der Meister.

Offline vrijevogel

  • Lid
  • Steunpunt: Nee
Re: beid - Quantal
« Reactie #2 Gepost op: 2012/11/18, 12:05:58 »
Beid installeren via de repositories is geen goed idee en werkt niet naar behoren (althans op mijn installatie).

Eerst nazien of je reader door linux ondersteund wordt. (bvb reader inpluggen en dan lsusb in de terminal uitvoeren om te kijken of de reader herkend wordt. Zo niet, dan de driver installeren).



Je dient de middleware te installeren:

http://code.google.com/p/eid-viewer/
http://code.google.com/p/eid-mw/

Lees vooral ook http://eid.belgium.be/nl/je_eid_gebruiken/de_eid-middleware_installeren/
om Firefox, Chrome en Thunderbird correct te kunnen installeren.



Offline koenh

  • Lid
  • Steunpunt: Nee
Re: beid - Quantal
« Reactie #3 Gepost op: 2012/12/02, 08:38:48 »
Bedankt!

Dit werkt volledig in Firefox!

Het enige wat ik me nog afvraag, is of ik dit ook werkend kan krijgen in chromium?

gr.

Offline vrijevogel

  • Lid
  • Steunpunt: Nee
Re: beid - Quantal
« Reactie #4 Gepost op: 2012/12/02, 08:58:31 »
Ik heb het niet geprobeerd in Chromium omdat ik Chromium niet gebruik,. Ik gebruik wel Chrome (de build van Google zelf). Chromium loopt sterk achter op Chrome en heeft daarom niet alle veiligheidspatches aan boord. Bijgevolg loop je meer risico met Chromium dan met Chrome.

De oplossing voor Chrome is iets ingewikkelder en vind je hier http://code.google.com/p/eid-mw/wiki/ChromeLinux
     1. Installeer  libnss3-tools (ik vermoed dat deze lib in de laatste builds reeds ge√Įnstalleerd zit)   sudo apt-get install libnss3-tools
     2. Sluit Chrome af!!!
     3. Vanuit je home-directory modutil -dbdir sql:.pki/nssdb/ -add "Belgium eID" -libfile /usr/lib/libbeidpkcs11.so
     Je krijgt dan volgende melding:  WARNING: Performing this operation while the browser is running could cause
                                                                   corruption of your security databases. If the browser is currently running,
                                                                   you should exit browser before continuing this operation. Type
                                                                  'q <enter>' to abort, or <enter> to continue:
      Druk op enter, als alles goed gaat : Module "Belgium eID" added to database.

Indien libbeidpkcs11.so zich NIET in /usr/lib/ bevindt, zoek dan eventueel in andere directories.





Module "Belgium eID" added to database.

« Laatst bewerkt op: 2012/12/02, 09:03:13 door vrijevogel »

Offline koenh

  • Lid
  • Steunpunt: Nee
Re: beid - Quantal
« Reactie #5 Gepost op: 2012/12/02, 09:21:22 »
Bedankt!

Dit werkt zowel voor Chrome als Chromium.

Ik zal trouwens chrome eens verder overwegen... bedankt voor de tip.

gr